<?php
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."student_survey/infusion_db.php";

if (file_exists(INFUSIONS."student_survey/locale/".$settings['locale'].".php")) {
	include INFUSIONS."student_survey/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."student_survey/locale/English.php";
}

if (!checkrights("ERR") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

$step = isset($_REQUEST['step']) ? $_REQUEST['step'] : "";
$survey_id = (isset($_REQUEST['survey_id']) AND isnum($_REQUEST['survey_id'])) ? $_REQUEST['survey_id'] : "";

if ($step == "delete") {
	$result = dbquery("DELETE FROM ".DB_STUDENT_SURVEY." WHERE survey_id='$survey_id'");
	redirect(FUSION_SELF.$aidlink);
}
if ($step == "view") {
	if (!$survey_id || !isnum($survey_id)) { redirect(FUSION_SELF.$aidlink); }
	
//----------------------------------------------------------------------------------------------------------------//

	opentable($locale['ann110']);
	$data = dbarray(dbquery(
		"SELECT ter.*, user_id,user_name FROM ".DB_STUDENT_SURVEY." ter
		LEFT JOIN ".DB_USERS." tusr ON ter.survey_user=tusr.user_id
		WHERE survey_id='".$survey_id."'"
	));
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
	echo "<tr><td colspan='2' class='tbl2'><b>".$locale['ann119']."</b></td></tr>\n";
	echo "<tr><td width='125' class='tbl2'>".$locale['ann111']."</td>\n";
	echo "<td class='tbl1'>".$data['survey_summary']." --- ".strftime($settings['longdate'], $data['survey_datestamp']+($settings['timeoffset']*3600))."</td></tr>\n";
	
	echo "<tr><td width='125' class='tbl2'>".$locale['ann200']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od1'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann201']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od2'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann202']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od3'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann203']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od4'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann204']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od5'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann205']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od6'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann206']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od7'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann207']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od8'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann208']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od9'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann209']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od10'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann210']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od11'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann211']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od12'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann212']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od13'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann213']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od14'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann214']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od15'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann215']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od16'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann216']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od17'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann217']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od18'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann218']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od19'])."</td></tr>\n";

	echo "<tr><td width='125' class='tbl2'>".$locale['ann219']."</td>";
	echo "<td colspan='2'class='tbl1'>".nl2br($data['survey_description_od20'])."</td></tr>\n";

	echo "</table>\n";
	closetable();
	tablebreak();
	
}

//------------------------------------------------------------------------------------------------------------------//

opentable($locale['ann120']);
$result = dbquery(
	"SELECT ter.*, user_id,user_name FROM ".DB_STUDENT_SURVEY." ter
	LEFT JOIN ".DB_USERS." tusr ON ter.survey_user=tusr.user_id
	ORDER BY survey_datestamp DESC"
);
if (dbrows($result)) {
	$i = 0;
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
	echo "<tr><td align='center' width='75' class='tbl2'>".$locale['ann121']."</td>\n";
	echo "<td class='tbl2'>".$locale['ann122']."</td>\n";
	echo "<td align='center' width='100' class='tbl2'>".$locale['ann150']."</td></tr>\n";

	while ($data = dbarray($result)) {
		$i % 2 == 0 ? $tclass="tbl1" : $tclass="tbl2";
		echo "<tr><td align='center' class='$tclass'>".$data['survey_id']."</td>\n";
echo "<td class='$tclass'><a href='".FUSION_SELF.$aidlink."&amp;step=view&amp;survey_id=".$data['survey_id']."'>".$locale['ann118']."</a> --- ".$data['survey_summary']." --- ".strftime($settings['longdate'], $data['survey_datestamp']+($settings['timeoffset']*3600))."</td>\n";
		echo "<td align='center' class='$tclass'><a href='".FUSION_SELF.$aidlink."&amp;step=delete&amp;survey_id=".$data['survey_id']."'>".$locale['ann151']."</a></td></tr>\n";
	}
	echo "</table>\n";
}
else {
	echo "<center><br />\n".$locale['ann123']."<br /><br />\n</center>\n";
}
closetable();

require_once THEMES."templates/footer.php";
?>